<?php

namespace App\Console\Commands;

use App\Services\LogService;
use App\Services\OrderPackageReceivedSyncService;
use Illuminate\Console\Command;

class SyncOrderPackageLogisticRouteTask extends Command
{
    /**
     * @var OrderPackageReceivedSyncService $service
     */
    public $service;
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'syncOrderPackageLogisticRouteTask';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @throws \Exception
     */
    public function handle()
    {
        LogService::log(SyncOrderPackageLogisticRouteTask::class, "同步快递信息定时任务启动", '');
        ini_set('memory_limit', '2226M');
        $this->service = app('OrderPackageReceivedSyncService');
        $this->service->syncLogisticRoute();
    }
}
